summaryrefslogtreecommitdiff
path: root/tcwg_bmk-build.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-06-24 17:55:11 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-06-24 17:55:11 +0000
commitd2e8a597f64eb523719db86ec312c1aed57da372 (patch)
tree174e751a802ab9dde9e2d534e4f179fc287e6d93 /tcwg_bmk-build.sh
parent451c1fedd54562f9639f757063b505e31dfe104d (diff)
tcwg_bmk-build.sh: Cleanup handling of hw_tag/hw/image_arch bmk parameters
Change-Id: Icf766e71b5afc085cc833717c2944d688dbc542c
Diffstat (limited to 'tcwg_bmk-build.sh')
-rwxr-xr-xtcwg_bmk-build.sh33
1 files changed, 25 insertions, 8 deletions
diff --git a/tcwg_bmk-build.sh b/tcwg_bmk-build.sh
index 835af50d..b58e3fc2 100755
--- a/tcwg_bmk-build.sh
+++ b/tcwg_bmk-build.sh
@@ -258,16 +258,33 @@ benchmark ()
# shellcheck disable=SC2154
sysroot="ssh://$ssh_host:$ssh_port:$sysroot"
- local hw hw_tag image_arch results_id
+ local hw_tag
case "${rr[ci_project]}:${rr[target]}" in
- *_sq*:arm*) hw=sq; hw_tag=sq_32; image_arch=armhf ;;
- *_sq*:*) hw=sq; hw_tag=sq_64; image_arch=arm64 ;;
- *_tk1*:arm*) hw=tk1; hw_tag=tk1_32; image_arch=armhf ;;
- *_tx1*:arm*) hw=tx1; hw_tag=tx1_32; image_arch=armhf ;;
- *_tx1*:*) hw=tx1; hw_tag=tx1_64; image_arch=arm64 ;;
- *_stm32*:arm*) hw=stm32; hw_tag=stm32_STM32L476RGTx; image_arch=armhf ;;
- *) echo "ERROR: Unknown target ${rr[target]}"; exit 1 ;;
+ *_sq_32*:*) hw_tag=sq_32 ;;
+ *_sq_64*:*) hw_tag=sq_64 ;;
+ *_sq*:arm*) hw_tag=sq_32 ;;
+ *_sq*:aarch64) hw_tag=sq_64 ;;
+ *_tk1_32*:*) hw_tag=tk1_32 ;;
+ *_tk1*:arm*) hw_tag=tk1_32 ;;
+ *_tx1_32*:*) hw_tag=tx1_32 ;;
+ *_tx1_64*:*) hw_tag=tx1_64 ;;
+ *_tx1*:arm*) hw_tag=tx1_32 ;;
+ *_tx1*:aarch64) hw_tag=tx1_64 ;;
+ *_stm32*:arm*) hw_tag=stm32_STM32L476RGTx ;;
+ *) echo "ERROR: Unknown hw_tag for ${rr[ci_project]}:${rr[target]}"; exit 1 ;;
esac
+
+ local hw image_arch
+ case "$hw_tag" in
+ sq_32) hw=sq; image_arch=armhf ;;
+ sq_64) hw=sq; image_arch=arm64 ;;
+ tk1_32) hw=tk1; image_arch=armhf ;;
+ tx1_32) hw=tx1; image_arch=armhf ;;
+ tx1_64) hw=tx1; image_arch=arm64 ;;
+ stm32_STM32L476RGTx) hw=stm32; image_arch=armhf ;;
+ *) echo "ERROR: Unknown hw_tag $hw_tag"; exit 1 ;;
+ esac
+
local results_id="$hw_tag/${rr[ci_project]}/${rr[mode]}-${rr[ci_config]}/@build_num@"
# When running benchmarks on stm32, we prefer to rsync the